const path = require("node:path");
const fs = require("node:fs");
const crypto = require("node:crypto");

function checkFileAgainstSHA1(baseDirectory, fileEntry) {
	return new Promise(function (resolve, reject) {
		let filePath = path.join(baseDirectory, fileEntry.name);

		if (!fs.existsSync(filePath)) {
			return resolve({
				"entry": fileEntry,
				"ok": false
			});
		}

		let hash = crypto.createHash("sha1");
		hash.setEncoding("hex");

		let fileInputStream = fs.createReadStream(filePath);

		hash.on("readable", function () {
			let data = hash.read();
			if (data) {
				resolve({
					"entry": fileEntry,
					"ok": data == fileEntry.hash
				});
			}
		});

		fileInputStream.pipe(hash);
	});
}

module.exports = {
	"checkFiles": function (manifest) {

	}
};
